Set production task status client permission

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
PUT /data/projects/{project_id}/settings/task-status/{task_status_id}

Override, for a production, whether its clients may set a task status. A null value reverts to the studio value of the task status.

Path parameters

  • project_id string(uuid) Required

    Project unique identifier

  • task_status_id string(uuid) Required

    Task status unique identifier

application/json

Body Required

  • is_client_allowed boolean | null Required

    Whether clients may set this status in this production, null inherits the studio value

Responses

  • 200

    Updated task status link

  • 400

    Missing is_client_allowed field

  • 403

    Caller is not a manager of the production

  • 404

    Task status not linked to the production

PUT /data/projects/{project_id}/settings/task-status/{task_status_id}
curl \
 --request PUT 'http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c250/settings/task-status/b35b7fb5-df86-5776-b181-68564193d360' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{
  "is_client_allowed": false
}'
Request examples
{
  "is_client_allowed": false
}